#12 build problems

closed-invalid
nobody
build (5)
5
2013-12-07
2002-11-12
Henrik Nordin
No

I try to build PyOpenGL on Mandrake 9.0 but it fails. I
have browsed through the mailing list but can't seem to
find the solution to my problem. The build command
results in the following output:

PyOpenGL 2.0.0.44 setup

System configuration:
Platform = linux-i386
GL Platform = GLX
Numeric = 21.0
Build Togl = yes

Getting the list of platforms...
Getting the list of packages...
Getting the list of extension modules...
running build
running build_w
swig -version

SWIG Version 1.3.11u-20020813-2335
Copyright (c) 1995-1998
University of Utah and the Regents of the University of
California
Copyright (c) 1998-2001
University of Chicago

Compiled with CC
Building wrappers for GL.ARB.matrix_palette
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.ARB.multisample
C version selector doesn't need updating
Wrappers for API version 0x0005 don't need updating

Building wrappers for GL.ARB.multitexture
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.ARB.point_parameters
C version selector doesn't need updating
Wrappers for API version 0x0004 don't need updating

Building wrappers for GL.ARB.texture_compression
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for GL.ARB.transpose_matrix
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for GL.ARB.vertex_blend
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.Autodesk.facet_normal
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.Autodesk.valid_back_buffer_hint
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.EXT.blend_color
C version selector doesn't need updating
Wrappers for API version 0x0107 don't need updating

Building wrappers for GL.EXT.blend_func_separate
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for GL.EXT.blend_minmax
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for GL.EXT.compiled_vertex_array
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for GL.EXT.convolution
C version selector doesn't need updating
Wrappers for API version 0x011f don't need updating

Building wrappers for GL.EXT.coordinate_frame
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for GL.EXT.copy_texture
C version selector doesn't need updating
Wrappers for API version 0x0115 don't need updating

Building wrappers for GL.EXT.cull_vertex
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for GL.EXT.draw_range_elements
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.EXT.fog_coord
C version selector doesn't need updating
Wrappers for API version 0x0106 don't need updating

Building wrappers for GL.EXT.fragment_lighting
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.EXT.index_func
C version selector doesn't need updating
Wrappers for API version 0x0104 don't need updating

Building wrappers for GL.EXT.index_material
C version selector doesn't need updating
Wrappers for API version 0x0104 don't need updating

Building wrappers for GL.EXT.light_texture
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.EXT.multi_draw_arrays
C version selector doesn't need updating
Wrappers for API version 0x0102 don't need updating

Building wrappers for GL.EXT.pixel_transform
C version selector doesn't need updating
Wrappers for API version 0x0102 don't need updating

Building wrappers for GL.EXT.point_parameters
C version selector doesn't need updating
Wrappers for API version 0x0106 don't need updating

Building wrappers for GL.EXT.polygon_offset
C version selector doesn't need updating
Wrappers for API version 0x010c don't need updating

Building wrappers for GL.EXT.scene_marker
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.EXT.secondary_color
C version selector doesn't need updating
Wrappers for API version 0x0108 don't need updating

Building wrappers for GL.EXT.subtexture
C version selector doesn't need updating
Wrappers for API version 0x0111 don't need updating

Building wrappers for GL.EXT.texture3D
C version selector doesn't need updating
Wrappers for API version 0x0116 don't need updating

Building wrappers for GL.EXT.texture_object
C version selector doesn't need updating
Wrappers for API version 0x011b don't need updating

Building wrappers for GL.EXT.texture_perturb_normal
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.EXT.vertex_array
C version selector doesn't need updating
Wrappers for API version 0x0110 don't need updating

Building wrappers for GL.EXT.vertex_weighting
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.HP.image_transform
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.IBM.multimode_draw_arrays
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.IBM.static_data
C version selector doesn't need updating
Wrappers for API version 0x0102 don't need updating

Building wrappers for GL.INTEL.texture_scissor
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.KTX.buffer_region
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.MESA.resize_buffers
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.MESA.window_pos
C version selector doesn't need updating
Wrappers for API version 0x0102 don't need updating

Building wrappers for GL.NV.fence
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.NV.register_combiners
C version selector doesn't need updating
Wrappers for API version 0x0104 don't need updating

Building wrappers for GL.NV.register_combiners2
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.PGI.misc_hints
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.SGIS.detail_texture
C version selector doesn't need updating
Wrappers for API version 0x011f don't need updating

Building wrappers for GL.SGIS.fog_function
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.SGIS.multisample
C version selector doesn't need updating
Wrappers for API version 0x010e don't need updating

Building wrappers for GL.SGIS.multitexture
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.SGIS.pixel_texture
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.SGIS.sharpen_texture
C version selector doesn't need updating
Wrappers for API version 0x0106 don't need updating

Building wrappers for GL.SGIS.texture4D
C version selector doesn't need updating
Wrappers for API version 0x0119 don't need updating

Building wrappers for GL.SGIS.texture_color_mask
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.SGIS.texture_filter4
C version selector doesn't need updating
Wrappers for API version 0x0109 don't need updating

Building wrappers for GL.SGIX.async
C version selector doesn't need updating
Wrappers for API version 0x0108 don't need updating

Building wrappers for GL.SGIX.flush_raster
C version selector doesn't need updating
Wrappers for API version 0x0104 don't need updating

Building wrappers for GL.SGIX.frame_zoom
C version selector doesn't need updating
Wrappers for API version 0x0104 don't need updating

Building wrappers for GL.SGIX.list_priority
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for GL.SGIX.pixel_texture
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GL.SGIX.reference_plane
C version selector doesn't need updating
Wrappers for API version 0x0105 don't need updating

Building wrappers for GL.SGIX.sprite
C version selector doesn't need updating
Wrappers for API version 0x010b don't need updating

Building wrappers for GL.SGIX.tag_sample_buffer
C version selector doesn't need updating
Wrappers for API version 0x0102 don't need updating

Building wrappers for GL.SUN.global_alpha
C version selector doesn't need updating
Wrappers for API version 0x0107 don't need updating

Building wrappers for GL.SUN.triangle_list
C version selector doesn't need updating
Wrappers for API version 0x0106 don't need updating

Building wrappers for GL.SUNX.constant_data
C version selector doesn't need updating
Wrappers for API version 0x0102 don't need updating

Building wrappers for GL.WIN.swap_hint
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL._3DFX.tbuffer
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating

Building wrappers for GL.__init__
Shadow version selector doesn't need updating
C version selector doesn't need updating
Wrappers for API version 0x0101 don't need updating
Wrappers for API version 0x0101 don't need updating
Wrappers for API version 0x0100 don't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GLE
C version selector doesn't need updating
Wrappers for API version 0x0300 don't need updating

Building wrappers for GLU.SGI.filter4_parameters
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GLU.__init__
Shadow version selector doesn't need updating
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating
Wrappers for API version 0x0103 don't need updating
Wrappers for API version 0x0102 don't need updating
Wrappers for API version 0x0102 don't need updating
Wrappers for API version 0x0101 don't need updating
Wrappers for API version 0x0101 don't need updating
Wrappers for API version 0x0100 don't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for GLUT
C version selector doesn't need updating
Wrappers for API version 0x000d don't need updating
Wrappers for API version 0x000b don't need updating
Wrappers for API version 0x0009 don't need updating
Wrappers for API version 0x0007 don't need updating
Wrappers for API version 0x0005 don't need updating
Wrappers for API version 0x0002 don't need updating
Wrappers for API version 0x0001 don't need updating

Building wrappers for WGL.ARB.buffer_region
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for WGL.ARB.extensions_string
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for WGL.EXT.extensions_string
C version selector doesn't need updating
Wrappers for API version 0x0100 don't need updating

Building wrappers for WGL.EXT.swap_control
C version selector doesn't need updating
Wrappers for API version 0x0103 don't need updating

Building wrappers for WGL.__init__
Shadow version selector doesn't need updating
C version selector doesn't need updating
Wrappers for API version 0x0400 don't need updating
Wrappers for API version 0x0400 don't need updating

running build_py
cc -DGLX_PLATFORM -DNUMERIC -I/usr/include
-I/usr/local/include -I/usr/X11/include
-I/usr/include/python2.2/numarray
-I/usr/include/python2.2/Numeric -Isrc/gle/src
-I/usr/include/python2.2 -c _configtest.c -o _configtest.o
cc1: warning: changing search order for system
directory "/usr/local/include"
cc1: warning: as it has already been specified as a
non-system directory
cc1: warning: changing search order for system
directory "/usr/include"
cc1: warning: as it has already been specified as a
non-system directory
In file included from
/usr/include/python2.2/numarray/libnumarray.h:16,
from
/usr/include/python2.2/numarray/arrayobject.h:11,
from src/config.h:123,
from _configtest.c:4:
/usr/include/python2.2/numarray/numarray.h:28: warning:
useless keyword or type name in empty declaration
/usr/include/python2.2/numarray/numarray.h:28: warning:
empty declaration
cc _configtest.o -L/usr/lib/python2.2/site-packages -o
_configtest
_configtest
removing: _configtest.c _configtest.o _configtest
creating build
creating build/lib.linux-i686-2.2
creating build/lib.linux-i686-2.2/OpenGL
creating build/lib.linux-i686-2.2/OpenGL/GL
copying src/shadow/GL.__init__.0101.py ->
build/lib.linux-i686-2.2/OpenGL/GL/__init__.py
cc -DGLX_PLATFORM -DNUMERIC -I/usr/include
-I/usr/local/include -I/usr/X11/include
-I/usr/include/python2.2/numarray
-I/usr/include/python2.2/Numeric -Isrc/gle/src
-I/usr/include/python2.2 -c _configtest.c -o _configtest.o
cc1: warning: changing search order for system
directory "/usr/local/include"
cc1: warning: as it has already been specified as a
non-system directory
cc1: warning: changing search order for system
directory "/usr/include"
cc1: warning: as it has already been specified as a
non-system directory
In file included from
/usr/include/python2.2/numarray/libnumarray.h:16,
from
/usr/include/python2.2/numarray/arrayobject.h:11,
from src/config.h:123,
from _configtest.c:4:
/usr/include/python2.2/numarray/numarray.h:28: warning:
useless keyword or type name in empty declaration
/usr/include/python2.2/numarray/numarray.h:28: warning:
empty declaration
cc _configtest.o -L/usr/lib/python2.2/site-packages -o
_configtest
_configtest
removing: _configtest.c _configtest.o _configtest
creating build/lib.linux-i686-2.2/OpenGL/GLU
copying src/shadow/GLU.__init__.0103.py ->
build/lib.linux-i686-2.2/OpenGL/GLU/__init__.py
copying OpenGL/__init__.py ->
build/lib.linux-i686-2.2/OpenGL
copying OpenGL/quaternion.py ->
build/lib.linux-i686-2.2/OpenGL
copying OpenGL/trackball.py ->
build/lib.linux-i686-2.2/OpenGL
creating build/lib.linux-i686-2.2/OpenGL/Tk
copying OpenGL/Tk/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/Tk
changing mode of
build/lib.linux-i686-2.2/OpenGL/Tk/__init__.py to 100755
creating build/lib.linux-i686-2.2/OpenGL/GLX
copying OpenGL/GLX/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GLX
creating build/lib.linux-i686-2.2/OpenGL/GLX/_3DFX
copying OpenGL/GLX/_3DFX/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GLX/_3DFX
copying OpenGL/GLX/_3DFX/multisample.py ->
build/lib.linux-i686-2.2/OpenGL/GLX/_3DFX
creating build/lib.linux-i686-2.2/OpenGL/GLX/SGIS
copying OpenGL/GLX/SGIS/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GLX/SGIS
copying OpenGL/GLX/SGIS/multisample.py ->
build/lib.linux-i686-2.2/OpenGL/GLX/SGIS
creating build/lib.linux-i686-2.2/OpenGL/GLX/EXT
copying OpenGL/GLX/EXT/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GLX/EXT
copying OpenGL/GLX/EXT/multisample.py ->
build/lib.linux-i686-2.2/OpenGL/GLX/EXT
creating build/lib.linux-i686-2.2/OpenGL/GLX/ARB
copying OpenGL/GLX/ARB/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GLX/ARB
copying OpenGL/GLX/ARB/multisample.py ->
build/lib.linux-i686-2.2/OpenGL/GLX/ARB
creating build/lib.linux-i686-2.2/OpenGL/GLU/SGI
copying OpenGL/GLU/SGI/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GLU/SGI
creating build/lib.linux-i686-2.2/OpenGL/GLU/EXT
copying OpenGL/GLU/EXT/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GLU/EXT
copying OpenGL/GLU/EXT/nurbs_tessellator.py ->
build/lib.linux-i686-2.2/OpenGL/GLU/EXT
copying OpenGL/GLU/EXT/object_space_tess.py ->
build/lib.linux-i686-2.2/OpenGL/GLU/EXT
creating build/lib.linux-i686-2.2/OpenGL/GL/_3DFX
copying OpenGL/GL/_3DFX/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/_3DFX
copying OpenGL/GL/_3DFX/multisample.py ->
build/lib.linux-i686-2.2/OpenGL/GL/_3DFX
copying OpenGL/GL/_3DFX/texture_compression_FXT1.py ->
build/lib.linux-i686-2.2/OpenGL/GL/_3DFX
creating build/lib.linux-i686-2.2/OpenGL/GL/WIN
copying OpenGL/GL/WIN/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/WIN
copying OpenGL/GL/WIN/phong_shading.py ->
build/lib.linux-i686-2.2/OpenGL/GL/WIN
copying OpenGL/GL/WIN/specular_fog.py ->
build/lib.linux-i686-2.2/OpenGL/GL/WIN
creating build/lib.linux-i686-2.2/OpenGL/GL/SUNX
copying OpenGL/GL/SUNX/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SUNX
creating build/lib.linux-i686-2.2/OpenGL/GL/SUN
copying OpenGL/GL/SUN/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SUN
copying OpenGL/GL/SUN/convolution_border_modes.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SUN
creating build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/async_histogram.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/async_pixel.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/blend_alpha_minmax.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/clipmap.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/depth_texture.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/fog_offset.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/interlace.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/ir_instrument1.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/pixel_texture_bits.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/resample.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/shadow.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/shadow_ambient.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_env_add.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_lod_bias.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_multi_buffer.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_range.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_scale_bias.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/vertex_preclip.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/ycrcb.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIX
creating build/lib.linux-i686-2.2/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/generate_mipmap.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/texture_border_clamp.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/texture_edge_clamp.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/texture_lod.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/texture_select.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGIS
creating build/lib.linux-i686-2.2/OpenGL/GL/SGI
copying OpenGL/GL/SGI/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGI
copying OpenGL/GL/SGI/color_matrix.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGI
copying OpenGL/GL/SGI/texture_color_table.py ->
build/lib.linux-i686-2.2/OpenGL/GL/SGI
creating build/lib.linux-i686-2.2/OpenGL/GL/S3
copying OpenGL/GL/S3/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/S3
copying OpenGL/GL/S3/s3tc.py ->
build/lib.linux-i686-2.2/OpenGL/GL/S3
creating build/lib.linux-i686-2.2/OpenGL/GL/REND
copying OpenGL/GL/REND/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/REND
copying OpenGL/GL/REND/screen_coordinates.py ->
build/lib.linux-i686-2.2/OpenGL/GL/REND
creating build/lib.linux-i686-2.2/OpenGL/GL/PGI
copying OpenGL/GL/PGI/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/PGI
copying OpenGL/GL/PGI/vertex_hints.py ->
build/lib.linux-i686-2.2/OpenGL/GL/PGI
creating build/lib.linux-i686-2.2/OpenGL/GL/OML
copying OpenGL/GL/OML/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/OML
copying OpenGL/GL/OML/interlace.py ->
build/lib.linux-i686-2.2/OpenGL/GL/OML
copying OpenGL/GL/OML/resample.py ->
build/lib.linux-i686-2.2/OpenGL/GL/OML
copying OpenGL/GL/OML/subsample.py ->
build/lib.linux-i686-2.2/OpenGL/GL/OML
creating build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/blend_square.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/fog_distance.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/light_max_exponent.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/packed_depth_stencil.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/texgen_emboss.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/texgen_reflection.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_compression_vtc.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_env_combine4.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_rectangle.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_shader.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_shader2.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
copying OpenGL/GL/NV/vertex_array_range2.py ->
build/lib.linux-i686-2.2/OpenGL/GL/NV
creating build/lib.linux-i686-2.2/OpenGL/GL/MESA
copying OpenGL/GL/MESA/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/MESA
creating build/lib.linux-i686-2.2/OpenGL/GL/KTX
copying OpenGL/GL/KTX/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/KTX
creating build/lib.linux-i686-2.2/OpenGL/GL/INTEL
copying OpenGL/GL/INTEL/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/INTEL
creating build/lib.linux-i686-2.2/OpenGL/GL/INGR
copying OpenGL/GL/INGR/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/INGR
copying OpenGL/GL/INGR/color_clamp.py ->
build/lib.linux-i686-2.2/OpenGL/GL/INGR
copying OpenGL/GL/INGR/interlace_read.py ->
build/lib.linux-i686-2.2/OpenGL/GL/INGR
creating build/lib.linux-i686-2.2/OpenGL/GL/IBM
copying OpenGL/GL/IBM/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/IBM
copying OpenGL/GL/IBM/cull_vertex.py ->
build/lib.linux-i686-2.2/OpenGL/GL/IBM
copying OpenGL/GL/IBM/pixel_transform_color_table.py ->
build/lib.linux-i686-2.2/OpenGL/GL/IBM
copying OpenGL/GL/IBM/rasterpos_clip.py ->
build/lib.linux-i686-2.2/OpenGL/GL/IBM
copying OpenGL/GL/IBM/texture_mirrored_repeat.py ->
build/lib.linux-i686-2.2/OpenGL/GL/IBM
creating build/lib.linux-i686-2.2/OpenGL/GL/HP
copying OpenGL/GL/HP/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/HP
copying OpenGL/GL/HP/convolution_border_modes.py ->
build/lib.linux-i686-2.2/OpenGL/GL/HP
copying OpenGL/GL/HP/occlusion_test.py ->
build/lib.linux-i686-2.2/OpenGL/GL/HP
copying OpenGL/GL/HP/texture_lighting.py ->
build/lib.linux-i686-2.2/OpenGL/GL/HP
creating build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/_422_pixels.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/abgr.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/bgra.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/blend_logic_op.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/blend_subtract.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/clip_volume_hint.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/cmyka.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/index_array_formats.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/index_texture.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/misc_attribute.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/packed_pixels.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/rescale_normal.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/separate_specular_color.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/shared_texture_palette.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/stencil_wrap.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_compression_s3tc.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_cube_map.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_env_add.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_env_combine.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_env_dot3.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_filter_anisotropic.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_lod.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_lod_bias.py ->
build/lib.linux-i686-2.2/OpenGL/GL/EXT
creating build/lib.linux-i686-2.2/OpenGL/GL/Autodesk
copying OpenGL/GL/Autodesk/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/Autodesk
copying OpenGL/GL/Autodesk/bgra_colors.py ->
build/lib.linux-i686-2.2/OpenGL/GL/Autodesk
creating build/lib.linux-i686-2.2/OpenGL/GL/ATI
copying OpenGL/GL/ATI/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ATI
copying OpenGL/GL/ATI/texture_mirror_once.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ATI
creating build/lib.linux-i686-2.2/OpenGL/GL/ARB
copying OpenGL/GL/ARB/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_border_clamp.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_cube_map.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_env_add.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_env_combine.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_env_crossbar.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_env_dot3.py ->
build/lib.linux-i686-2.2/OpenGL/GL/ARB
creating build/lib.linux-i686-2.2/OpenGL/GL/APPLE
copying OpenGL/GL/APPLE/__init__.py ->
build/lib.linux-i686-2.2/OpenGL/GL/APPLE
copying OpenGL/GL/APPLE/specular_vector.py ->
build/lib.linux-i686-2.2/OpenGL/GL/APPLE
copying OpenGL/GL/APPLE/transform_hint.py ->
build/lib.linux-i686-2.2/OpenGL/GL/APPLE
warning: build_py: package init file
'OpenGL/Demo/twburton/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo
creating build/lib.linux-i686-2.2/OpenGL/Demo/twburton
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/twburton/knot.py
to 100755
warning: build_py: package init file
'OpenGL/Demo/tom/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo/tom
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/Line.py to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/arraytest.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/checker.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/cone.py to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/conechecker.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/conesave.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/demo.py to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/first.py to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/fog.py to 100755
copying OpenGL/Demo/tom/logo.py ->
build/lib.linux-i686-2.2/OpenGL/Demo/tom
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/lorentz.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/pick.py to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/poly.py to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/tom/text.py to 100755
warning: build_py: package init file
'OpenGL/Demo/simple/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo/simple
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/simple/GLE.py to
100755
warning: build_py: package init file
'OpenGL/Demo/redbook/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo/redbook
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/cube.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/double.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/drawf.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/fog.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/hello.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/lines.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/movelight.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/scene.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/smooth.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/redbook/teapots.py
to 100755
warning: build_py: package init file
'OpenGL/Demo/dek/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo/dek
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/dek/MandelImage.py
to 100755
copying OpenGL/Demo/dek/PILNumeric.py ->
build/lib.linux-i686-2.2/OpenGL/Demo/dek
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/dek/texturesurf.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/dek/texturesurf2.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/dek/tile.py to 100755
warning: build_py: package init file
'OpenGL/Demo/dek/OglSurface/__init__.py' not found (or
not a regular file)
creating
build/lib.linux-i686-2.2/OpenGL/Demo/dek/OglSurface
copying OpenGL/Demo/dek/OglSurface/Geometry.py ->
build/lib.linux-i686-2.2/OpenGL/Demo/dek/OglSurface
copying OpenGL/Demo/dek/OglSurface/NumericPDB.py ->
build/lib.linux-i686-2.2/OpenGL/Demo/dek/OglSurface
copying OpenGL/Demo/dek/OglSurface/OglFrame.py ->
build/lib.linux-i686-2.2/OpenGL/Demo/dek/OglSurface
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/dek/OglSurface/OglFrame.py
to 100755
copying OpenGL/Demo/dek/OglSurface/triangle.py ->
build/lib.linux-i686-2.2/OpenGL/Demo/dek/OglSurface
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/dek/OglSurface/triangle.py
to 100755
warning: build_py: package init file
'OpenGL/Demo/da/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo/da
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/da/dots.py to 100755
warning: build_py: package init file
'OpenGL/Demo/NeHe/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo/NeHe
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/NeHe/lesson1.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/NeHe/lesson18.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/NeHe/lesson2.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/NeHe/lesson3.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/NeHe/lesson4.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/NeHe/lesson5.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/NeHe/lesson6-multi.py
to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/NeHe/lesson6.py to
100755
warning: build_py: package init file
'OpenGL/Demo/GLUT/examples/__init__.py' not found (or
not a regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo/GLUT
creating build/lib.linux-i686-2.2/OpenGL/Demo/GLUT/examples
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/GLUT/examples/molehill.py
to 100755
warning: build_py: package init file
'OpenGL/Demo/GLE/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/Demo/GLE
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/GLE/cone.py to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/GLE/helix.py to 100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/GLE/maintest.py to
100755
changing mode of
build/lib.linux-i686-2.2/OpenGL/Demo/GLE/texas.py to 100755
warning: build_py: package init file
'OpenGL/scripts/__init__.py' not found (or not a
regular file)
creating build/lib.linux-i686-2.2/OpenGL/scripts
changing mode of
build/lib.linux-i686-2.2/OpenGL/scripts/info.py to 100755
warning: build_py: package init file
'OpenGL/Demo/twburton/__init__.py' not found (or not a
regular file)
warning: build_py: package init file
'OpenGL/Demo/tom/__init__.py' not found (or not a
regular file)
warning: build_py: package init file
'OpenGL/Demo/simple/__init__.py' not found (or not a
regular file)
warning: build_py: package init file
'OpenGL/Demo/redbook/__init__.py' not found (or not a
regular file)
warning: build_py: package init file
'OpenGL/Demo/dek/__init__.py' not found (or not a
regular file)
warning: build_py: package init file
'OpenGL/Demo/dek/OglSurface/__init__.py' not found (or
not a regular file)
warning: build_py: package init file
'OpenGL/Demo/da/__init__.py' not found (or not a
regular file)
warning: build_py: package init file
'OpenGL/Demo/NeHe/__init__.py' not found (or not a
regular file)
warning: build_py: package init file
'OpenGL/Demo/GLUT/examples/__init__.py' not found (or
not a regular file)
warning: build_py: package init file
'OpenGL/Demo/GLE/__init__.py' not found (or not a
regular file)
warning: build_py: package init file
'OpenGL/scripts/__init__.py' not found (or not a
regular file)
running build_clib
building 'interface_util' library
creating build/temp.linux-i686-2.2
gcc -DNDEBUG -O3 -fomit-frame-pointer -pipe
-mcpu=pentiumpro -march=i586 -ffast-math
-fno-strength-reduce -fPIC -DGLX_PLATFORM -DNUMERIC
-I/usr/include/python2.2 -I/usr/include
-I/usr/local/include -I/usr/X11/include
-I/usr/include/python2.2/numarray
-I/usr/include/python2.2/Numeric -Isrc/gle/src
-I/usr/include -I/usr/local/include -I/usr/X11/include
-I/usr/include/python2.2/numarray
-I/usr/include/python2.2/Numeric -Isrc/gle/src -c
src/interface_util/interface_util.c -o
build/temp.linux-i686-2.2/interface_util.o
cc1: warning: changing search order for system
directory "/usr/local/include"
cc1: warning: as it has already been specified as a
non-system directory
cc1: warning: changing search order for system
directory "/usr/include"
cc1: warning: as it has already been specified as a
non-system directory
In file included from
/usr/include/python2.2/numarray/libnumarray.h:16,
from
/usr/include/python2.2/numarray/arrayobject.h:11,
from src/config.h:123,
from
src/interface_util/interface_util.c:1:
/usr/include/python2.2/numarray/numarray.h:28: warning:
useless keyword or type name in empty declaration
/usr/include/python2.2/numarray/numarray.h:28: warning:
empty declaration
src/interface_util/interface_util.c: In function
`_PyObject_FromUnsignedCharArray':
src/interface_util/interface_util.c:117: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c:117: (Each
undeclared identifier is reported only once
src/interface_util/interface_util.c:117: for each
function it appears in.)
src/interface_util/interface_util.c: In function
`_PyObject_FromCharArray':
src/interface_util/interface_util.c:124: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_FromShortArray':
src/interface_util/interface_util.c:133: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_FromIntArray':
src/interface_util/interface_util.c:142: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_FromFloatArray':
src/interface_util/interface_util.c:149: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_FromDoubleArray':
src/interface_util/interface_util.c:156: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`Numeric_PyObject_AsFloatArray':
src/interface_util/interface_util.c:699: `SAVESPACEBIT'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_AsFloatArray':
src/interface_util/interface_util.c:699: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`Numeric_PyObject_AsDoubleArray':
src/interface_util/interface_util.c:702: `SAVESPACEBIT'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_AsDoubleArray':
src/interface_util/interface_util.c:702: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`Numeric_PyObject_AsCharArray':
src/interface_util/interface_util.c:705: `SAVESPACEBIT'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_AsCharArray':
src/interface_util/interface_util.c:705: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`Numeric_PyObject_AsUnsignedCharArray':
src/interface_util/interface_util.c:708: `SAVESPACEBIT'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_AsUnsignedCharArray':
src/interface_util/interface_util.c:708: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`Numeric_PyObject_AsShortArray':
src/interface_util/interface_util.c:711: `SAVESPACEBIT'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_AsShortArray':
src/interface_util/interface_util.c:711: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`Numeric_PyObject_AsIntArray':
src/interface_util/interface_util.c:717: `SAVESPACEBIT'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_AsIntArray':
src/interface_util/interface_util.c:717: `PyArray_API'
undeclared (first use in this function)
src/interface_util/interface_util.c: In function
`_PyObject_Dimension':
src/interface_util/interface_util.c:757: `PyArray_API'
undeclared (first use in this function)
error: command 'gcc' failed with exit status 1

Discussion

    • status: open --> closed-invalid
     
  • Logged In: YES
    user_id=34901

    You are building against NumArray. You should be building
    against Numeric/Numpy. Given that this is about the old
    2.0.0.44 build I'm going to close the support request.
    Incidentally, you'll almost certainly have better luck with
    asking questions on the PyOpenGL Users mailing list.